<?
/**
 * Trida zajistujici hashovani hesla
 */
class Hash {

/**
 * funkce generujici hash
 *
 * @param $password
 * @return string
 */
function generateHash($password) {
    if (defined("CRYPT_BLOWFISH") && CRYPT_BLOWFISH) {
        $salt = '$2y$11$' . substr(md5(uniqid(rand(), true)), 0, 22);
        return crypt($password, $salt);
    	}
    }

    /**
     * funkce overujici, zda has odpovida danemu heslu
     *
     * @param $password
     * @param $hashedPassword
     * @return bool
     */
function verify($password, $hashedPassword) {
    return crypt($password, $hashedPassword) == $hashedPassword;
	}

}

?>