<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Consumer system">
    <meta name="author" content="Richard Bláha">
    <link rel="icon" href="../../favicon.ico">

    <title>Zákaznický systém - přehled</title>

    <!-- Bootstrap core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="css/overview.css" rel="stylesheet">
    <link href="css/sideMenu.css" rel="stylesheet">

<body>

<?php
    session_start();
    $db = new PDO(
        "mysql:host=localhost;dbname=blahari1",
        "blahari1",
        "wa1"
    );

        if ((array_key_exists('loggedAdmin',$_SESSION)) && ($_SESSION['loggedAdmin'] == 'true') && (array_key_exists('client',$_GET))) {

            $sql = "SELECT name,surname FROM user WHERE login='" . $_GET['client'] . "'";
            $stmp = $db->prepare($sql);
            $stmp->execute();
            $result = $stmp->fetch();
    ?>
    <div class="jumbotron">

        <div class="header">
            <nav>
                <ul class="nav nav-pills pull-right">
                    <li role="presentation"><div class="logout">
                            <a href="logout.php?role=admin">  Odhlásit</a>
                        </div></li>
                </ul>
            </nav>
            <h3 class="text-muted">Servisy klienta <?php echo htmlspecialchars($result['name']) . " " . htmlspecialchars($result['surname']) ?></h3>
        </div>

        <div class="table-responsive">
            <table class="table table-striped" id="adminTable">
                <thead>
                    <tr>
                        <th> ID</th>
                        <th> Login</th>
                        <th> Zarizeni</th>
                        <th> Znacka</th>
                        <th> Druh servisu</th>
                        <th> Stav</th>
                    </tr>
                </thead>
                <tbody>
                <?php


                $sql = "SELECT * FROM service WHERE client='" . $_GET['client'] ."'";
                $stmp = $db->prepare($sql);
                $stmp->execute();
                $data = array();
                while ($row = $stmp->fetch()) {
                    $data[]=($row);
                    echo "<tr>
                        <td>" . htmlspecialchars($row['id']) . "</td>
                        <td>" . htmlspecialchars($row['client']) . "</td>
                        <td>" . htmlspecialchars($row['device']) . "</td>
                        <td>" . htmlspecialchars($row['brand']) . "</td>
                        <td>" . htmlspecialchars($row['typeService']) . "</td>
                        <td>" . htmlspecialchars($row['state']) . "</td>
                        <td>";
                    $id = $row['id'];
                    echo "<a><i class='glyphicon glyphicon-remove-circle' id='removeUnit'></i></a></td><td>
                    <a><i class='glyphicon glyphicon-edit' id=" . htmlspecialchars($id) . "></i></a> </td>
                          </tr>";
                }
                ?>
                </tbody>
            </table>
        </div>

    </div>

    <div class="sideMenuUnit">
        <form method="post" class="form-group" action="add.php" id="sideMenuUnitForm">
            <h1 id="sideMenuTitle">Editovat záznam</h1>
            <input type="text" name="client" id="client" placeholder="Klient" required autofocus>
            <input type="text" name="device" id="device" placeholder="Zarizeni" required>
            <input type="text" name="brand" id="brand" placeholder="Znacka" required autofocus>
            <input type="text" name="service" id="service" placeholder="Druh servisu" required>
            <input type="text" name="state" id="state" placeholder="Stav" required>
            <input type="hidden" name="action"  id="actionUnit" value="EditUnit">
            <input type="hidden" name="serviceID" id="serviceID" value="0">

            <div class="btn-toolbar">
                <button class="btn" type="submit" id="submitButton">Uložit</button>
                <div class="icon-closeUnit">
                    <img src="http://s3.amazonaws.com/codecademy-content/courses/ltp2/img/uber/close.png">
                </div>
            </div>
        </form>
    </div>

    <?php
    }
        elseif ((array_key_exists('loggedUser',$_SESSION)) && (($_SESSION['loggedUser'] == 'true') && (array_key_exists('login',$_GET)))) {
            $sql = "SELECT login,name,surname FROM user WHERE email='" . $_GET['login'] . "'";
            $stmp = $db->prepare($sql);
            $stmp->execute();
            $result = $stmp->fetch();
            $login = $result['login'];

    ?>
            <div class="jumbotron">

                <div class="header">
                    <nav>
                        <ul class="nav nav-pills pull-right">
                            <li role="presentation"><div class="logout">
                                    <a href="logout.php?role=user">  Odhlásit</a>
                                </div></li>
                        </ul>
                    </nav>
                    <h3 class="text-muted"><?php echo htmlspecialchars($result['name']) . " " . htmlspecialchars($result['surname']) ?>, Vaše servisní záznamy</h3>
                </div>

                <div class="table-responsive">
                    <table class="table table-striped" id="adminTable">
                        <thead>
                        <tr>
                            <th> ID</th>
                            <th> Login</th>
                            <th> Zarizeni</th>
                            <th> Znacka</th>
                            <th> Druh servisu</th>
                            <th> Stav</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php


                        $sql = "SELECT * FROM service WHERE client='" . $login ."'";
                        $stmp = $db->prepare($sql);
                        $stmp->execute();
                        $data = array();
                        while ($row = $stmp->fetch()) {
                            $data[]=($row);
                            echo "<tr>
                                    <td>" . htmlspecialchars($row['id']) . "</td>
                                    <td>" . htmlspecialchars($row['client']) . "</td>
                                    <td>" . htmlspecialchars($row['device']) . "</td>
                                    <td>" . htmlspecialchars($row['brand']) . "</td>
                                    <td>" . htmlspecialchars($row['typeService']) . "</td>
                                    <td>" . htmlspecialchars($row['state']) . "</td>
                                </tr>";
                        }
                        ?>
                        </tbody>
                    </table>
                </div>

            </div>
<?php

    } else
        header('Location: http://course-wa1.felk.cvut.cz/~blahari1/admin.php');
?>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/sideMenu.js"></script>
</body>
</head>
</html>