<!DOCTYPE HTML>
<html lang="en">
<head>
    <link rel="stylesheet" type="text/css" href="css/sideMenu.css">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Consumer system">
    <meta name="author" content="Richard Bláha">
    <link rel="icon" href="../../favicon.ico">

    <title>Zákaznický systém - administrace</title>

    <!-- Bootstrap core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="css/dashboard.css" rel="stylesheet">
    <link href="css/sideMenu.css" rel="stylesheet">

</head>

<body>
<?php
session_start();
if (array_key_exists('loggedAdmin', $_SESSION)) {
    if ($_SESSION['loggedAdmin'] == 'true') {
        ?>



        <div class="jumbotron">
            <div class="header">
                <nav>
                    <ul class="nav nav-pills pull-right">

                        <li role="presentation">
                            <div class="icon-menu">Přidat
                                <img
                                    src="http://cdn.mysitemyway.com/etc-mysitemyway/icons/legacy-previews/icons/matte-white-square-icons-signs/125583-matte-white-square-icon-signs-first-aid1.png">
                            </div>
                        </li>
                        <li role="presentation">
                            <div class="logout">
                                <a href="logout.php?role=admin"> Odhlásit</a>
                            </div>
                        </li>
                    </ul>
                </nav>
                <h3 class="text-muted">Správa klientů a jejich servisních jednotek</h3>
            </div>
            <div class="table-responsive">
                <table class="table table-striped" id="adminTable">
                    <thead>
                    <tr>
                        <th> ID</th>
                        <th> Login</th>
                        <th> Heslo</th>
                        <th> Jméno</th>
                        <th> Příjmení</th>
                        <th> Adresa</th>
                        <th> Město</th>
                        <th> Telefon</th>
                        <th> Email</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $db = new PDO(
                        "mysql:host=localhost;dbname=blahari1",
                        "blahari1",
                        "wa1"
                    );

                    $stmp = $db->prepare("SELECT * FROM user LIMIT 30");
                    $stmp->execute();
                    $data = array();
                    while ($row = $stmp->fetch()) {
                        $data[] = ($row);
                        echo "<tr>
                                        <td>" . htmlspecialchars($row['id']) . "</td>
                                        <td><a href='overview.php?client=" . htmlspecialchars($row['login']) . "'>" . htmlspecialchars($row['login']) . "</a></td>
                                        <td>" . htmlspecialchars($row['password']) . "</td>
                                        <td>" . htmlspecialchars($row['name']) . "</td>
                                        <td>" . htmlspecialchars($row['surname']) . "</td>
                                        <td>" . htmlspecialchars($row['address']) . "</td>
                                        <td>" . htmlspecialchars($row['city']) . "</td>
                                        <td>" . htmlspecialchars($row['phone']) . "</td>
                                        <td>" . htmlspecialchars($row['email']) . "</td><td>";
                        $id = $row['id'];
                        echo "<a><i class='glyphicon glyphicon-plus'></i></a></td><td>
                                <a><i class='glyphicon glyphicon-remove' id=" . htmlspecialchars($row['login']) . "></i></a></td><td>
                                <a><i class='glyphicon glyphicon-pencil' id=" . htmlspecialchars($row['login']) . "></i></a></td>
                                </tr>";
                    }
                    ?>
                    </tbody>
                </table>
            </div>

        </div>

        <div class="sideMenu">
            <form method="post" class="form-group" action="add.php" id="sideMenuForm">
                <h1 id="sideMenuTitle">Přidat klienta</h1>
                <input type="text" name="login" id="login" placeholder="Login" required autofocus>
                <input type="text" name="password" id="password" placeholder="Heslo" required>
                <input type="text" name="name" id="name" placeholder="Jmeno" required autofocus>
                <input type="text" name="surname" id="surname" placeholder="Prijmeni" required>
                <input type="text" name="address" id="address" placeholder="Adresa" required>
                <input type="text" name="city" id="city" placeholder="Mesto" required>
                <input type="tel" class="numeric" name="phone" id="phone" placeholder="Telefon" required><span
                    id="errmsg"></span>
                <input type="email" name="email" id="email" placeholder="Email" required>
                <input type="hidden" name="action" id="action" value="Add">

                <div class="btn-toolbar">
                    <button class="btn" type="submit" id="submitButton">Přidat</button>
                    <div class="icon-close">
                        <img src="http://s3.amazonaws.com/codecademy-content/courses/ltp2/img/uber/close.png">
                    </div>
                </div>
            </form>
        </div>

        <div class="sideMenuUnit">
            <form method="post" class="form-group" action="add.php">
                <h1 id="sideMenuUnitTitle">Přidat servis</h1>
                <input type="text" name="client" id="client" placeholder="Klient" required autofocus>
                <input type="text" name="device" id="device" placeholder="Zarizeni" required>
                <input type="text" name="brand" id="brand" placeholder="Znacka" required autofocus>
                <input type="text" name="service" id="service" placeholder="Druh servisu" required>
                <input type="text" name="state" id="state" placeholder="Stav" required>
                <input type="hidden" name="action" id="actionUnit" value="AddUnit">

                <div class="btn-toolbar">
                    <button class="btn" type="submit" id="submitButton">Přidat</button>
                    <div class="icon-closeUnit">
                        <img src="http://s3.amazonaws.com/codecademy-content/courses/ltp2/img/uber/close.png">
                    </div>
                </div>
            </form>
        </div>

    <?php
    }
} else
    header('Location: http://course-wa1.felk.cvut.cz/~blahari1/admin.php');
?>

<!-- Bootstrap core JavaScript
================================================== -->
<!-- Placed at the end of the document so the pages load faster -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/sideMenu.js"></script>
<!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
<script src="../../assets/js/ie10-viewport-bug-workaround.js"></script>
</body>
</html>