<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Consumer system">
    <meta name="author" content="Richard Bláha">
    <link rel="icon" href="../../favicon.ico">

    <title>Zákaznický systém - hlavní strana</title>

    <!-- Bootstrap core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="css/signin.css" rel="stylesheet">


</head>

<body>

<?php
    session_start();

    if ((array_key_exists('state',$_GET)) && $_GET['state'] == 'false') {
        echo "
        <div class='container container_padding text-center'>
        <div class='alert alert-danger' role='alert''>Přihlášení se nezdařilo. Zadaný login a heslo nesedí. V případě nutnosti obnovy hesla kontaktujte administrátora.</div>
        </div>";
    }
?>


<nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="#">Zákaznický systém</a>
        </div>
        <div id="navbar" class="collapse navbar-collapse">
            <ul class="nav navbar-nav">
                <li class="active"><a href="../index.php">Hlavní stránka</a></li>
                <li><a href="information.php">Informace</a></li>
            </ul>
        </div>
    </div>
</nav>

<div class="container">
    <form class="form-signin" role="form" method="post" action="checkin.php">
        <h2 class="form-signin-heading">Přihlašte se</h2>
        <input type="email" name="email" class="form-control" placeholder="Email" required autofocus>
        <input type="password" name="password" class="form-control" placeholder="Heslo" required>
        <label>
            <input type="checkbox" name="remember-login" value="yes"> Zapamatovat si přihlášení
        </label>
        <button class="btn btn-lg btn-primary btn-block" type="submit">Přihlásit</button>
    </form>
</div>


<!-- Bootstrap core JavaScript
================================================== -->
<!-- Placed at the end of the document so the pages load faster -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
<script src="js/ie10-viewport-bug-workaround.js"></script>
</body>
</html>
